<?php
namespace Claromentis\Infocapture\Repository;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_cc2d908b8962262f4876db" . "8ebfedaa9a" => base64_decode("SXNzdWUgZm" . "9ybSBkYXRh" . "IG5vdCBmb3" . "VuZA=="), "_0c5123aa744f6" . "9bbc0e8b3ea2f6" . "e847d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_49c6565477ee9f822b499a53e6d2" . "995f" => base64_decode("YXJyYXlfa2V5X2V4a" . "XN0cw=="), "_49545c7d347e8eb5991e3eaa6ea0" . "76d3" => base64_decode("YXBw" . "X2lk"), "_a324c7872ecc0de" . "3af2b025d51fce7f" . "7" => base64_decode("aGVscGRlc2sud3JvbmdfZm9ybQ=" . "="));
use Claromentis\Core\Security\SecurityContext;
use FBForm;
use HDIssue;
use HDProject;
class FormRepository
{
    
    
    
    
    
    
    protected array $formCache = [];
    
    
    
    
    
    
    
    
    
    public function findForm(int $_0c6a7ccc47e0e836dc056ff9b783f40c) : ?FBForm
    {
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_49c6565477ee9f822b499" . "a53e6d2995f"]($_0c6a7ccc47e0e836dc056ff9b783f40c, $this->formCache)) {
            $form = new FBForm();
            if (!$form->Load($_0c6a7ccc47e0e836dc056ff9b783f40c) || $form->getFBValue($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_49545c7d347e8eb5991e3ea" . "a6ea076d3"]) != HD_FORMS) {
                $form = null;
            }
            $this->formCache[$_0c6a7ccc47e0e836dc056ff9b783f40c] = $form;
        }
        return $this->formCache[$_0c6a7ccc47e0e836dc056ff9b783f40c] ?: null;
    }
    
    
    
    
    
    
    
    public function findFormWithFields(int $_0c6a7ccc47e0e836dc056ff9b783f40c) : ?FBForm
    {
        $form = $this->findForm($_0c6a7ccc47e0e836dc056ff9b783f40c);
        if (!$form) {
            return null;
        }
        $form->LoadFields();
        return $form;
    }
    
    
    
    
    
    
    
    
    
    
    public function getIssueForm(HDIssue $issue) : FBForm
    {
        $_b6b302994975f0d592571c295359f69b = $issue->GetFormData();
        if (!$_b6b302994975f0d592571c295359f69b) {
            throw new \Exception($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_cc2d908b8962262f487" . "6db8ebfedaa9a"]);
        }
        $_0c6a7ccc47e0e836dc056ff9b783f40c = $_b6b302994975f0d592571c295359f69b->GetFormId();
        $form = $this->findFormWithFields($_0c6a7ccc47e0e836dc056ff9b783f40c);
        if (!$form) {
            throw new \Exception($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_0c5123aa744f69bbc0e8" . "b3ea2f6e847d"]($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_a324c7872ecc0de3af2b025d51f" . "ce7f7"]));
        }
        
        
        
        return $form;
    }
    
    
    
    
    
    
    
    public function clearCache(?int $_0c6a7ccc47e0e836dc056ff9b783f40c = null) : void
    {
        if (isset($_0c6a7ccc47e0e836dc056ff9b783f40c)) {
            unset($this->formCache[$_0c6a7ccc47e0e836dc056ff9b783f40c]);
        } else {
            $this->formCache = [];
        }
    }
}